#!/bin/sh
-# Do not edit this file. It is generated automatically from configure.in
-# and a configure template.
-configdirs=
-
-#!/bin/sh
-# Do not edit this file. It is generated automatically from configure.in
-# and a configure template.
-configdirs=
-# Configuration script template
-# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
+# Configuration script
+# Copyright (C) 1988, 1990, 1991, 1992 Free Software Foundation, Inc.
-#This file is part of GNU.
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
-#GNU CC is free software; you can redistribute it and/or modify
-#it under the terms of the GNU General Public License as published by
-#the Free Software Foundation; either version 1, or (at your option)
-#any later version.
+# Please email any bugs, comments, and/or additions to this file to:
-#GNU CC is distributed in the hope that it will be useful,
-#but WITHOUT ANY WARRANTY; without even the implied warranty of
-#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-#GNU General Public License for more details.
-
-#You should have received a copy of the GNU General Public License
-#along with GNU CC; see the file COPYING. If not, write to
-#the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+# This file was written by K. Richard Pixley.
#
# Shell script to create proper links to machine-dependent files in
-# preparation for compiling gcc.
-#
-# Usage: configure [+srcdir=DIR] [+host=HOST] [+gas] [+nfp] TARGET
+# preparation for compilation.
#
# If configure succeeds, it leaves its status in config.status.
# If configure fails after disturbing the status quo,
# config.status is removed.
#
-progname=$0
+export PATH || (echo "OOPS, this isn't sh. Desperation time. I will feed myself to sh."; sh $0 $argv; kill $$)
remove=rm
hard_link=ln
#symbolic_link="echo ln -s"
# clear some things potentially inherited from environment.
-target=
-template=
-removing=
-norecurse=
-ansi=
-for arg in $*;
-do
- case $arg in
- -ansi | +ansi)
- ansi=true
- ;;
- -template=* | +template=*)
- template=`echo $arg | sed 's/[+-]template=//'`
- ;;
- -norecurse | +norecurse)
- norecurse=true
- ;;
- -rm | +rm)
- removing=$arg
- ;;
- -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=* | +s=*)
- srcdir=`echo $arg | sed 's/[+-]s[a-z]*=//'`
- ;;
- -host=* | +host=* | +hos=* | +ho=* | +h=*)
- host=`echo $arg | sed 's/[+-]h[a-z]*=//'`
- ;;
- -languages=* | +languages=* | -languag=* | +languag=* | langua=* \
- | +langua=* | -langu=* | +langu=* | -lang=* | +lang=* | -lan=* \
- | +lan=* | -la=* | +la=* | -l=* | +l=*)
- languages="$languages `echo $arg | sed 's/[+-]l[a-z]*=//'`"
- ;;
- -gas | +gas | +ga | +g)
- gas=yes
- ;;
- -nfp | +nfp | +nf | +n)
- nfp=yes
- ;;
- *)
-# Allow configure HOST TARGET
- if [ x$host = x ] ; then host=$target ; fi
- target=$arg
- ;;
- esac
-done
-
-# process host and target only if not rebuilding configure itself.
-if [ -z "$template" ]
-then
- # Complain if an arg is missing
- if [ x$target = x ]
- then
- echo "Usage: $progname [+srcdir=DIR] [+host=HOST] [+gas] [+nfp] TARGET"
- echo -n "Where HOST and TARGET are something like "
- echo "\`vax', \`sun3', \`encore', etc."
- if [ -r config.status ]
- then
- cat config.status
- fi
- exit 1
- fi
-
- # Default other arg
- if [ x$host = x ]
- then
- host=$target
- fi
+Makefile=Makefile
+Makefile_in=Makefile.in
+arguments=$*
+configdirs=
+exec_prefix=
+exec_prefixoption=
+fatal=
+floating_point=default
+gas=default
+host_alias=
+host_makefile_frag=
+moveifchange=
+next_host=
+next_prefix=
+next_site=
+next_srcdir=
+next_target=
+next_tmpdir=
+norecursion=
+prefix=/usr/local
+progname=
+program_prefix=
+program_prefixoption=
+program_suffix=
+program_suffixoption=
+program_transform_name=
+program_transform_nameoption=
+redirect=">/dev/null"
+removing=
+site=
+site_makefile_frag=
+site_option=
+srcdir=
+srctrigger=
+subdirs=
+target_alias=
+target_makefile_frag=
+undefinedargs=
+version="$Revision$"
+x11=default
+
+NO_EDIT="This file was generated automatically by configure. Do not edit."
+
+## this is a little touchy and won't always work, but...
+##
+## if the argv[0] starts with a slash then it is an absolute name that can (and
+## must) be used as is.
+##
+## otherwise, if argv[0] has no slash in it, we can assume that it is on the
+## path. Since PATH might include "." we also add `pwd` to the end of PATH.
+##
- # Decode the host machine, then the target machine.
- # For the host machine, we save the xm_file variable as host_xm_file;
- # then we decode the target machine and forget everything else
- # that came from the host machine.
- for machine in $host $target; do
-
- # Separate what the user gave into CPU/company and OS (if any).
- basic_machine=`echo $machine | sed 's/-[^-]*$//'`
- if [ $basic_machine != $machine ]
- then os=`echo $machine | sed 's/[^-]*-/-/'`
- else os=; fi
-
- # Decode aliases for certain machine/company combinations.
- case $basic_machine in
- iris | iris4d)
- basic_machine=mips/sgi
- ;;
- news | news800)
- basic_machine=m68k/sony
- ;;
- 3b1 | 7300 | 7300/att | att-7300)
- basic_machine=m68k/att
- ;;
- delta | 3300 | motorola-3300 | motorola-delta \
- | 3300/motorola | delta/motorola)
- basic_machine=m68k/motorola
- ;;
- vax/dec)
- basic_machine=vax
- ;;
- balance)
- basic_machine=ns32k/sequent
- ;;
- symmetry)
- basic_machine=i386/sequent
- ;;
- sun2)
- basic_machine=m68000/sun
- ;;
- sun3)
- basic_machine=m68k/sun
- ;;
- sun4)
- basic_machine=sparc/sun
- ;;
- sun386 | sun386i)
- basic_machine=i386/sun
- ;;
- ps2)
- basic_machine=i386/ibm
- ;;
- next)
- basic_machine=m68k/next
- ;;
- hp9k3[2-9][0-9])
- basic_machine=m68k/hp
- ;;
- hp9k31[0-9] | hp9k2[0-9][0-9])
- basic_machine=m68000/hp
- ;;
- isi68)
- basic_machine=m68k/isi
- ;;
- apollo68)
- basic_machine=m68k/apollo
- ;;
- altos | altos3068)
- basic_machine=m68k/altos
- ;;
- miniframe)
- basic_machine=m68000/convergent
- ;;
- tower | tower-32)
- basic_machine=m68k/ncr
- ;;
- news-3600 | risc-news)
- basic_machine=mips/sony
- ;;
- decstation | decstation-3100 | pmax)
- basic_machine=mips/dec
- ;;
- gmicro)
- basic_machine=tron
- ;;
- convex-c1)
- basic_machine=c1/convex
- ;;
- convex-c2)
- basic_machine=c2/convex
- ;;
- esac
+progname=$0
+PWD=`pwd`
- # Decode manufacturer-specific aliases for certain operating systems.
+case "${progname}" in
+/*) ;;
+*/*) ;;
+*)
+ PATH=$PATH:${PWD=`pwd`} ; export PATH
+ ;;
+esac
- case $os in
- -newsos*)
- os=-bsd
- ;;
- -ultrix*)
- os=-bsd
- ;;
- -dynix*)
- os=-bsd
- ;;
- -ctix*)
- os=-sysv
- ;;
+for arg in $*;
+do
+ # handle things that might have args following as separate words
+ if [ -n "${next_prefix}" ] ; then prefix=${arg} ; prefixoption="-prefix=${prefix}" ; next_prefix=
+ elif [ -n "${next_exec_prefix}" ] ; then
+ exec_prefix=${arg}
+ exec_prefixoption="-exec_prefix=${exec_prefix}"
+ next_exec_prefix=
+ elif [ -n "${next_site}" ] ; then site=${arg} ; site_option=-site=${site} ; next_site=
+ # remove any possible trailing slash from srcdir. See note below.
+ elif [ -n "${next_srcdir}" ] ; then srcdir=`echo ${arg} | sed -e 's:/$::'` ; next_srcdir=
+ elif [ -n "${next_program_prefix}" ] ; then
+ program_prefix=${arg}
+ program_prefixoption="-program_prefix=${program_prefix}"
+ next_program_prefix=
+ elif [ -n "${next_program_suffix}" ] ; then
+ program_suffix=${arg}
+ program_suffixoption="-program_suffix=${program_suffix}"
+ next_program_suffix=
+ elif [ -n "${next_program_transform_name}" ] ; then
+ # Double any backslashes or dollar signs in the argument
+ program_transform_name="${program_transform_name} -e `echo ${arg} | sed -e 's/\\\\/\\\\\\\\/g' -e 's/\\\$/$$/g'`"
+ program_transform_nameoption="${program_transform_nameoption} -program_transform_name='${arg}'"
+ next_program_transform_name=
+ elif [ -n "${next_target}" ] ; then
+ next_target=
+ case "${target_alias}" in
+ "")
+ target_alias="${arg}"
+ ;;
+ *)
+ echo '***' Can only configure for one target at a time. 1>&2
+ fatal=yes
+ ;;
esac
+ elif [ -n "${next_tmpdir}" ] ; then
+ next_tmpdir=
+ tmpdiroption="--tmpdir=${arg}"
+ TMPDIR=${arg}
- machine=$basic_machine$os
-
- cpu_type=
- xm_file=
- tm_file=
- make_var_file=
-
- case $machine in
- vax | vax-bsd*) # vaxen running BSD
- ;;
- vax-vms | vms) # vaxen running VMS
- cpu_type=vax
- xm_file=xm-vms.h
- tm_file=tm-vms.h
- ;;
- vax-sysv* | vaxv) # vaxen running system V
- cpu_type=vax
- xm_file=xm-vaxv.h
- tm_file=tm-vaxv.h
- ;;
- tahoe | tahoe-bsd*) # tahoe running BSD
- ;;
- tahoe/harris*) # Harris tahoe, using COFF.
- cpu_type=tahoe
- ;;
- i386/sequent* | i386/sequent-bsd*) # 80386 from Sequent
- cpu_type=i386
- xm_file=xm-i386.h
- tm_file=tm-seq386.h
- ;;
- i386-mach | i386/*-mach)
- cpu_type=i386
- xm_file=xm-i386.h
- tm_file=tm-i386gas.h
- ;;
- i386/sco | i386/sco-sysv* | i386/*-sco) # 80386 running SCO system
- cpu_type=i386
- xm_file=xm-i386v.h
- tm_file=tm-i386sco.h
- make_var_file=make-i386sco
- ;;
- i386/isc | i386/isc-sysv* | i386/*-isc) # 80386 running ISC system
- cpu_type=i386
- xm_file=xm-i386v.h
- tm_file=tm-i386isc.h
- make_var_file=make-i386isc
- ;;
- i386/ibm | i386-aix | i386/ibm-aix) # IBM PS/2 running AIX
- cpu_type=i386
- tm_file=tm-i386v.h
- xm_file=xm-i386v.h
- make_var_file=make-i386v
- ;;
- i386/sun*)
- cpu_type=i386
- xm_file=xm-sun386i.h
- tm_file=tm-sun386i.h
- ;;
- i386-sysv4 | i386/*-sysv4 | i386v4) # Intel 80386's running system V.4
- cpu_type=i386
- xm_file=xm-i386v.h
- make_var_file=make-i386v
- tm_file=tm-i386v4.h
- ;;
- i386-sysv* | i386/*-sysv* | i386v) # Intel 80386's running system V
- cpu_type=i386
- xm_file=xm-i386v.h
- make_var_file=make-i386v
- if [ x$gas = xyes ]
- then
- tm_file=tm-i386gas.h
- else
- tm_file=tm-i386v.h
- fi
- ;;
- i860 | i860-sysv* | i860/*-sysv*)
- cpu_type=i860
- if [ x$gas = xyes ]
- then
- tm_file=tm-i860g.h
- else
- tm_file=tm-i860.h
- fi
- ;;
- i860-bsd* | i860/*-bsd*)
- cpu_type=i860
- if [ x$gas = xyes ]
- then
- tm_file=tm-i860bsdg.h
- else
- tm_file=tm-i860bsd.h
- fi
- ;;
- sparc | sparc/* | sparc-*os4 | sparc/*-*os4)
- cpu_type=sparc
- tm_file=tm-sparc.h
- ;;
- sparc-*os3 | sparc/*-*os3)
- cpu_type=sparc
- tm_file=tm-sun4os3.h
- ;;
- m68k/next)
- cpu_type=m68k
- tm_file=tm-next.h
- out_file=out-next.c
- xm_file=xm-next.h
- ;;
- m68k/sun-*os3)
- cpu_type=m68k
- if [ x$nfp = xyes ]
- then
- tm_file=tm-sun3os3nf.h
- else
- tm_file=tm-sun3os3.h
- fi
- ;;
- m68k/sun-mach)
- cpu_type=m68k
- tm_file=tm-sun3mach.h
- ;;
- m68k/sun | m68k/sun-*os4)
- cpu_type=m68k
- if [ x$nfp = xyes ]
- then
- tm_file=tm-sun3nfp.h
- else
- tm_file=tm-sun3.h
- fi
- ;;
- m68k/hp | m68k/hp-hpux*) # HP 9000 series 300
- cpu_type=m68k
- xm_file=xm-hp9k320.h
- if [ x$gas = xyes ]
- then
- make_var_file=make-hp9k320g
- tm_file=tm-hp9k320g.h
- else
- make_var_file=make-hp9k320
- tm_file=tm-hp9k320.h
- fi
- ;;
- m68k/hp-bsd*) # HP 9000/3xx running Berkeley Unix
- cpu_type=m68k
- tm_file=tm-hp9k3bsd.h
- ;;
- m68k/isi | m68k/isi-bsd*)
- cpu_type=m68k
- if [ x$nfp = xyes ]
- then
- tm_file=tm-isi68-nfp.h
- else
- tm_file=tm-isi68.h
- fi
- ;;
- m68k/sony | m68k/sony-bsd*)
- xm_file=xm-m68k.h
- cpu_type=m68k
- if [ x$gas = xyes ]
- then
- tm_file=tm-newsgas.h
- else
- tm_file=tm-news.h
- fi
- ;;
- m68k/altos | m68k/altos-sysv*) # Altos 3068
- cpu_type=m68k
- if [ x$gas = xyes ]
- then
- xm_file=xm-altos3068.h
- tm_file=tm-altos3068.h
- else
- echo "The Altos is supported only with the GNU assembler" 1>&2
- exit 1
- fi
+ else
+ case ${arg} in
+ -exec_prefix=* | --exec_prefix=* | --exec_prefi=* | --exec_pref=* | --exec_pre=* | --exec_pr=* | --exec_p=* | --exec_=* | --exec=* | --exe=* | --ex=* | --e=*)
+ exec_prefix=`echo ${arg} | sed 's/^[-a-z_]*=//'`
+ exec_prefixoption=${arg}
;;
- m68k/motorola | m68k/motorola-sysv*)
- cpu_type=m68k
- tm_file=tm-mot3300.h
- xm_file=xm-mot3300.h
+ -exec_prefix | --exec_prefix | --exec_prefi | --exec_pref | --exec_pre | --exec_pr | --exec_p | --exec_ | --exec | --exe | --ex | --e)
+ next_exec_prefix=yes
;;
- m68k/crds | m68k/crds-unos | m68k-unos | crds | unos)
- cpu_type=m68k
- xm_file=xm-crds.h
- make_var_file=make-crds
- tm_file=tm-crds.h
+ -gas | --g*)
+ gas=yes
;;
- m68k/apollo)
- cpu_type=m68k
- make_var_file=make-apollo68
- tm_file=tm-apollo68.h
+ -help | --he*)
+ fatal=true
;;
- m68k/ncr | m68k/ncr-sysv*) # NCR Tower 32 SVR3
- cpu_type=m68k
- tm_file=tm-tower-as.h
- xm_file=xm-tower.h
+ -host=* | --host=* | --hos=* | --ho=*)
+ case "${host_alias}" in
+ "")
+ host_alias="`echo ${arg} | sed 's/^[-a-z]*=//'`"
+ ;;
+ *)
+ echo '***' Can only configure for one host at a time. 1>&2
+ fatal=yes
+ ;;
+ esac
;;
- m68000/sun | m68000/sun-*os3)
- cpu_type=m68k
- tm_file=tm-sun2.h
+ -nfp | --nf*)
+ floating_point=no
;;
- m68000/sun-*os4)
- cpu_type=m68k
- tm_file=tm-sun2os4.h
+ -norecursion | --no*)
+ norecursion=true
;;
- m68000/hp | m68000/hp-hpux*) # HP 9000 series 300
- cpu_type=m68k
- xm_file=xm-hp9k310.h
- if [ x$gas = xyes ]
- then
- make_var_file=make-hp9k320g
- tm_file=tm-hp9k310g.h
- else
- make_var_file=make-hp9k320
- tm_file=tm-hp9k310.h
- fi
+ -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=*)
+ prefix=`echo ${arg} | sed 's/^[-a-z]*=//'`
+ prefixoption=${arg}
;;
- m68000/hp-bsd*) # HP 9000/200 running BSD
- cpu_type=m68k
- tm_file=tm-hp9k2bsd.h
- make_var_file=make-hp9k2bsd
+ -prefix | --prefix | --prefi | --pref | --pre)
+ next_prefix=yes
;;
- m68000/att | m68000/att-sysv*)
- cpu_type=m68k
- xm_file=xm-3b1.h
- if [ x$gas = xyes ]
- then
- tm_file=tm-3b1g.h
- else
- tm_file=tm-3b1.h
- fi
- ;;
- m68000/convergent | m68000/convergent-sysv*)
- cpu_type=m68k
- xm_file=xm-3b1.h
- tm_file=tm-ctix.h
+ -rm | --rm) removing=${arg} ;;
+ -program_prefix=* | --program_prefix=* | --program_prefi=* | --program_pref=* | --program_pre=* | --program_pr=* | --program_p=*)
+ program_prefix=`echo ${arg} | sed 's/^[-a-z_]*=//'`
+ program_prefixoption=${arg}
;;
- ns32k/sequent | ns32k/sequent-bsd*)
- cpu_type=ns32k
- tm_file=tm-sequent.h
+ -program_prefix | --program_prefix | --program_prefi | --program_pref | --program_pre | --program_pr | --program_p)
+ next_program_prefix=yes
;;
- ns32k/encore | ns32k/encore-bsd* | encore | encore-bsd*)
- cpu_type=ns32k
- tm_file=tm-encore.h
+ -program_suffix=* | --program_suffix=* | --program_suffi=* | --program_suff=* | --program_suf=* | --program_su=* | --program_s=*)
+ program_suffix=`echo ${arg} | sed 's/^[-a-z_]*=//'`
+ program_suffixoption=${arg}
;;
- ns32k-genix* | ns32k/*-genix* | genix)
- cpu_type=ns32k
- xm_file=xm-genix.h
- make_var_file=make-genix
- tm_file=tm-genix.h
+ -program_suffix | --program_suffix | --program_suffi | --program_suff | --program_suf | --program_su | --program_s )
+ next_program_suffix=yes
;;
- merlin)
- cpu_type=ns32k
+ -program_transform_name=* | --program_transform_name=* | --program_transform_nam=* | --program_transform_na=* | --program_transform_n=* | --program_transform_=* | --program_transform=* | --program_transfor=* | --program_transfo=* | --program_transf=* | --program_trans=* | --program_tran=* | --program_tra=* | --program_tr=* | --program_t=*)
+ # Double any \ or $ in the argument
+ program_transform_name="${program_transform_name} -e `echo ${arg} | sed -e 's/^[-a-z_]*=//' -e 's/\\\\/\\\\\\\\/g' -e 's/\\\$/$$/g'`"
+ program_transform_nameoption="${program_transform_nameoption} -program_transform_name='`echo ${arg} | sed 's/^[-a-z_]*=//'`'"
;;
- m88k/dg | m88k/dg-dgux* | m88k-dgux*)
- cpu_type=m88k
- xm_file=xm-m88kdgux.h
- make_var_file=make-m88kdgux
- tm_file=tm-m88kdgux.h
+ -program_transform_name | --program_transform_name | --program_transform_nam | --program_transform_na | --program_transform_n | --program_transform_ | --program_transform | --program_transfor | --program_transfo | --program_transf | --program_trans | --program_tran | --program_tra | --program_tr | --program_t)
+ next_program_transform_name=yes
;;
- m88k-v88r32 | m88k/*-v88r32)
- cpu_type=m88k
- tm_file=tm-v88r32.h
- xm_file=xm-v88r32.h
+ -site=* | --site=* | --sit=* | --si=*)
+ site_option=${arg}
+ site=`echo ${arg} | sed 's/^[-a-z]*=//'`
;;
- m88k-sysv* | m88k/*-sysv*)
- cpu_type=m88k
- tm_file=tm-m88ksvr4.h
- xm_file=xm-m88ksvr4.h
+ -site | --site | --sit)
+ next_site=yes
;;
- alliant | alliant/alliant) # Alliant FX/8
- cpu_type=alliant
- tm_file=tm-alliant.h
+ # remove trailing slashes. Otherwise, when the file name gets
+ # bolted into an object file as debug info, it has two slashes in
+ # it. Ordinarily this is ok, but emacs takes double slash to
+ # mean "forget the first part".
+ -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
+ srcdir=`echo ${arg} | sed 's/^[-a-z]*=//' | sed -e 's:/$::'`
;;
- c1/convex) # Convex C1
- if [ -r /usr/include/stdlib.h ]
- then
- tm_file=tm-convex1.h
- else
- tm_file=tm-conv1os7.h
- fi
- cpu_type=convex
- ;;
- c2/convex) # Convex C2
- if [ -r /usr/include/stdlib.h ]
- then
- tm_file=tm-convex2.h
- else
- tm_file=tm-conv2os7.h
- fi
- cpu_type=convex
+ -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
+ next_srcdir=yes
;;
- mips/sgi | mips/sgi-sysv*) # Mostly like a MIPS.
- cpu_type=mips
- tm_file=tm-iris.h
- xm_file=xm-iris.h
- ;;
- mips | mips/mips) # Default MIPS environment.
+ -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=*)
+ case "${target_alias}" in
+ "") target_alias="`echo ${arg} | sed 's/^[-a-z]*=//'`" ;;
+ *)
+ echo '***' Can only configure for one target at a time. 1>&2
+ fatal=yes
+ ;;
+ esac
;;
- mips/dec | mips/dec-bsd*) # Decstation.
- cpu_type=mips
- tm_file=tm-decstatn.h
+ -target | --target | --targe | --targ | --tar | --ta)
+ next_target=yes
;;
- mips/sony | mips/sony-bsd*) # Sony NEWS 3600 or risc/news.
- cpu_type=mips
- tm_file=tm-mips-news.h
+ -tmpdir=* | --tmpdir=* | --tmpdi=* | --tmpd=* | --tmp=* | --tm=*)
+ tmpdiroption=${arg}
+ TMPDIR=`echo ${arg} | sed 's/^[-a-z]*=//'`
;;
- mips/*-sysv* | mips-sysv*) # SYSV variant of MIPS system.
- cpu_type=mips
- tm_file=tm-mips-sysv.h
+ -tmpdir | --tmpdir | --tmpdi | --tmpd | --tmp | --tm)
+ next_tmpdir=yes
;;
- mips/*-bsd* | mips-bsd*) # BSD 4.3 variant of MIPS system.
- cpu_type=mips
- tm_file=tm-mips-bsd.h
+ -v | -verbose | --v)
+ redirect=
+ verbose=-v
;;
- pyramid | pyramid/* | pyramid-*)
- cpu_type=pyr
- tm_file=tm-pyr.h
+ -version | -V | --version | --V)
+ echo "This is Cygnus Configure version" `echo ${version} | sed 's/[ $:]//g'`
+ exit 0
;;
- tron | tron/*)
- cpu_type=gmicro
- tm_file=tm_gmicro.h
+ -x | --x) ;;
+ -* | --*)
+ (echo ;
+ echo "Unrecognized option: \"${arg}\"". ;
+ echo) 1>&2
+ fatal=true
;;
- a29k-bsd* | a29k/*-bsd*)
- cpu_type=a29k
- tm_file=tm-a29kunix.h
+ *)
+ case "${undefs}" in
+ "")
+ undefs="${arg}"
+ ;;
+ *)
+ echo '***' Can only configure for one host and one target at a time. 1>&2
+ fatal=yes
+ ;;
+ esac
;;
- i960) # Default i960 environment.
+ esac
+ fi
+done
+
+# process host and target
+case "${fatal}" in
+"")
+# # Complain if an arg is missing
+# if [ -z "${host_alias}" ] ; then
+# (echo ;
+# echo "configure: No HOST specified." ;
+# echo) 1>&2
+# fatal=true
+# fi
+
+### This is a bit twisted.
+### * if all three are specified, this is an error.
+### * if we have neither hosts, nor unadorned args, this is an error.
+### * if no hosts are specified, then the unadorned args are hosts, but if
+### there were none, this is an error.
+### * if no targets are specified, then the unadorned args are targets, but if
+### there were no unadorned args, then the hosts are also targets.
+
+ if [ -n "${host_alias}" -a -n "${target_alias}" -a -n "${undefs}" ] ; then
+ echo '***' Can only configure for one host and one target at a time. 1>&2
+ fatal=yes
+ elif [ -z "${host_alias}" -a -z "${undefs}" ] ; then
+ echo '***' You must tell me for which host you want to configure. 1>&2
+ fatal=yes
+ else
+ case "${host_alias}" in
+ "") host_alias=${undefs} ;;
+ *) ;;
+ esac
+
+ case "${target_alias}" in
+ "")
+ case "${undefs}" in
+ "") target_alias=${host_alias} ;;
+ *) target_alias=${undefs} ;;
+ esac
;;
- # 370)
- # ;;
+ *) ;;
esac
- if [ x$pass1done = x ]
- then
- if [ x$cpu_type = x ]; then cpu_type=$host; fi
- if [ x$xm_file = x ]; then host_xm_file=xm-$cpu_type.h
- else host_xm_file=$xm_file
- fi
- if [ x$make_var_file = x ]
- then make_var_file=make-$cpu_type; fi
- host_make_var_file=$make_var_file
- pass1done=yes
- fi
- done
+ fi
+ ;;
+*) ;;
+esac
+
+if [ -n "${fatal}" -o "${host_alias}" = "help" ] ; then
+ (echo "Usage: configure HOST" ;
+ echo ;
+ echo "Options: [defaults in brackets]" ;
+ echo " -exec_prefix=MYDIR configure for installation of host dependent files into MYDIR. [\"/usr/local\"]" ;
+ echo " -gas configure the compilers for use with gas. [native as]" ;
+ echo " -help print this message. [normal config]" ;
+ echo " -lang=LANG configure to build LANG. [gcc]" ;
+ echo " -nfp configure the compilers default to soft floating point. [hard float]" ;
+ echo " -norecursion configure this directory only. [recurse]" ;
+ echo " -prefix=MYDIR configure for installation of host dependent files into MYDIR. [\"/usr/local\"]" ;
+ echo " -program_prefix=FOO install programs with FOO prepended to their names. [ \"\" ]" ;
+ echo " -program_suffix=FOO install programs with FOO appended to their names. [ \"\" ]" ;
+ echo " -program_transform_name=FOO install programs with names transformed by sed pattern FOO. [ \"\" ]" ;
+ echo " -site=SITE configure with site specific makefile for SITE" ;
+ echo " -srcdir=DIR find the sources in DIR. [\".\" or \"..\"]" ;
+ echo " -target=TARGET configure for TARGET. [TARGET = HOST]" ;
+ echo " -tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
+ echo ;
+ echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
+ ) 1>&2
+
+ if [ -r config.status ] ; then
+ cat config.status
+ fi
- # Default the machine-specific variables that were not explicitly set.
- if [ x$cpu_type = x ]
- then cpu_type=$target; fi
+ exit 1
+fi
- if [ x$tm_file = x ]
- then tm_file=tm-$target.h; fi
+configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
+moveifchange=`echo ${progname} | sed 's/configure$/move-if-change/'`
- md_file=${cpu_type}.md
+# this is a hack. sun4 must always be a valid host alias or this will fail.
+if ${configsub} sun4 >/dev/null 2>&1 ; then
+ true
+else
+ echo '***' cannot find config.sub. 1>&2
+ exit 1
+fi
- if [ x$out_file = x ]
- then out_file=out-$cpu_type.c; fi
+touch config.junk
+if ${moveifchange} config.junk config.trash ; then
+ true
+else
+ echo '***' cannot find move-if-change. 1>&2
+ exit 1
fi
+rm -f config.junk config.trash
-#### configure.in files go here.
-# This file is a shell script fragment that supplies the information
-# necessary to tailor a template configure script into the configure
-# script appropriate for this directory. For more information, check
-# any existing configure script.
-
-configdirs="gcc gas bfd binutils ld clib"
-srctrigger=gcc-new
-srcname="gnu development package"
-### end of configure.in
-
-# are we rebuilding config itself?
-if [ -n "$template" ]
-then
- if [ ! -r $template ]
- then
- echo "Can't find template ${template}."
- exit 1
+case "${srcdir}" in
+"")
+ if [ -r configure.in ] ; then
+ srcdir=.
+ else
+ if [ -r ${progname}.in ] ; then
+ srcdir=`echo ${progname} | sed 's:/configure$::'`
+ else
+ echo '***' "Can't find configure.in. Try using -srcdir=some_dir" 1>&2
+ exit 1
+ fi
fi
+ ;;
+*) ;;
+esac
- mv configure configure.old
- echo "#!/bin/sh" > configure
- echo "# Do not edit this file. It is generated automatically from configure.in" >> configure
- echo "# and a configure template." >> configure
- echo "configdirs=" >> configure
- echo >> configure
+### warn about some conflicting configurations.
- if [ -r configure.in ]
- then
- sed -e "/^####/ r configure.in" $template >> configure
- else
- cat $template >> configure
+case "${srcdir}" in
+".") ;;
+*)
+ if [ -f ${srcdir}/config.status ] ; then
+ echo '***' Cannot configure here in \"${PWD=`pwd`}\" when \"${srcdir}\" is currently configured. 1>&2
+ exit 1
fi
+esac
+
+# default exec_prefix
+case "${exec_prefix}" in
+"") exec_prefix="\$(prefix)" ;;
+*) ;;
+esac
+
+### break up ${srcdir}/configure.in.
+case "`grep '^# per\-host:' ${srcdir}/configure.in`" in
+"")
+ echo '***' ${srcdir}/configure.in has no "per-host:" line. 1>&2
+ exit 1
+ ;;
+*) ;;
+esac
+
+case "`grep '^# per\-target:' ${srcdir}/configure.in`" in
+"")
+ echo '***' ${srcdir}/configure.in has no "per-target:" line. 1>&2
+ exit 1
+ ;;
+*) ;;
+esac
+
+case "${TMPDIR}" in
+"") TMPDIR=/tmp ; export TMPDIR ;;
+*) ;;
+esac
+
+# keep this filename short for &%*%$*# 14 char file names
+tmpfile=${TMPDIR}/cONf$$
+trap "rm -f ${tmpfile}.com ${tmpfile}.tgt ${tmpfile}.hst ${tmpfile}.pos" 0
+
+# split ${srcdir}/configure.in into common, per-host, per-target,
+# and post-target parts. Post-target is optional.
+sed -e '/^# per\-host:/,$d' ${srcdir}/configure.in > ${tmpfile}.com
+sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' ${srcdir}/configure.in > ${tmpfile}.hst
+if grep '^# post-target:' ${srcdir}/configure.in >/dev/null ; then
+ sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' ${srcdir}/configure.in > ${tmpfile}.tgt
+ sed -e '1,/^# post\-target:/d' ${srcdir}/configure.in > ${tmpfile}.pos
+else
+ sed -e '1,/^# per\-target:/d' ${srcdir}/configure.in > ${tmpfile}.tgt
+ echo >${tmpfile}.pos
+fi
- chmod a+x configure
- rm configure.old
-# echo Rebuilt configure in `pwd` from ${template}.
- echo Rebuilt configure in `pwd`
-
- if [ x$norecurse = x ]
- then
- while [ -n "$configdirs" ]
- do
- # set configdir to car of configdirs, configdirs to cdr of configdirs
- set $configdirs; configdir=$1; shift; configdirs=$*
-
- if [ "`echo ${configdir}.*`" != "${configdir}.*" ]
- then
- targetspecificdirs=${configdir}.*
- else
- targetspecificdirs=
- fi
+### do common part of configure.in
+
+. ${tmpfile}.com
+
+# some sanity checks on configure.in
+case "${srctrigger}" in
+"")
+ echo '***' srctrigger not set in ${PWD=`pwd`}/configure.in. 1>&2
+ exit 1
+ ;;
+*) ;;
+esac
+
+result=`${configsub} ${host_alias}`
+host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
+host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
+host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
+host=${host_cpu}-${host_vendor}-${host_os}
+
+. ${tmpfile}.hst
+
+result=`${configsub} ${target_alias}`
+target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
+target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
+target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
+target=${target_cpu}-${target_vendor}-${target_os}
+
+. ${tmpfile}.tgt
+
+# Find the source files, if location was not specified.
+case "${srcdir}" in
+"")
+ srcdirdefaulted=1
+ srcdir=.
+ if [ ! -r ${srctrigger} ] ; then
+ srcdir=..
+ fi
+ ;;
+*) ;;
+esac
+
+if [ ! -r ${srcdir}/${srctrigger} ] ; then
+ case "${srcdirdefaulted}" in
+ "") echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`pwd`}/${srcdir}" 1>&2 ;;
+ *) echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`pwd`}/. or ${PWD=`pwd`}/.." 1>&2 ;;
+ esac
- for i in ${configdir} ${targetspecificdirs}
- do
- if [ -r $i/configure ]
- then
- (cd $i ;
- configure +template=${template})
- else
- echo No configure script in `pwd`/$i
- fi
- done
- done
+ echo '***' \(At least ${srctrigger} is missing.\) 1>&2
+ exit 1
+fi
+
+tooldir="\$(libdir)/${target_alias}"
+
+if [ "${host_alias}" != "${target_alias}" ] ; then
+ if [ "${program_prefix}" = "" ] ; then
+ if [ "${program_suffix}" = "" ] ; then
+ if [ "${program_transform_name}" = "" ] ; then
+ program_prefix=${target_alias}- ;
+ fi
fi
+ fi
+fi
- exit 0
+# Merge program_prefix and program_suffix onto program_transform_name
+# Use a double $ so that make ignores it
+if [ "${program_suffix}" != "" ] ; then
+ program_transform_name="-e s/\$\$/${program_suffix}/ ${program_transform_name}"
fi
-# Temporarily, we support only direct subdir builds.
-hostsubdir=Host-$host
-targetsubdir=Target-$target
+if [ "${program_prefix}" != "" ] ; then
+ program_transform_name="-e s/^/${program_prefix}/ ${program_transform_name}"
+fi
-if [ -n "$removing" ]
-then
- rm -rf $hostsubdir/$targetsubdir
+for subdir in . ${subdirs} ; do
- if [ -z "`(ls $hostsubdir) 2>&1 | grep Target-`" ]
- then
- rm -rf $hostsubdir
- fi
-else
- if [ ! -d $hostsubdir ] ; then mkdir $hostsubdir ; fi
- cd $hostsubdir
-
- if [ ! -d $targetsubdir ] ; then mkdir $targetsubdir ; fi
- cd $targetsubdir
-
- srcdir=../..
-
- ## Find the source files, if location was not specified.
- #if [ x$srcdir = x ]
- #then
- # srcdirdefaulted=1
- # srcdir=.
- # if [ ! -r ${srctrigger} ]
- # then
- # srcdir=..
- # fi
- #fi
- #
- #if [ ! -r ${srcdir}/${srctrigger} ]
- #then
- # if [ x$srcdirdefaulted = x ]
- # then
- # echo "$progname: Can't find ${srcname} sources in \`${srcdir}'." 1>&2
- # else
- # echo "$progname: Can't find ${srcname} sources in \`.' or \`..'." 1>&2
- # fi
- # exit 1
- #fi
+ # ${subdir} is relative path from . to the directory we're currently
+ # configuring.
+ # ${invsubdir} is inverse of ${subdir), *with* trailing /, if needed.
+ invsubdir=`echo ${subdir}/ | sed -e 's|\./||g' -e 's|[^/]*/|../|g'`
+
+ ### figure out what to do with srcdir
+ case "${srcdir}" in
+ ".") # no -srcdir option. We're building in place.
+ makesrcdir=. ;;
+ /*) # absolute path
+ makesrcdir=`echo ${srcdir}/${subdir} | sed -e 's|/\.$||'`
+ ;;
+ *) # otherwise relative
+ case "${subdir}" in
+ .) makesrcdir=${srcdir} ;;
+ *) makesrcdir=`echo ${subdir} | sed -e 's:[^./][^./]*:..:g'`/${srcdir}/${subdir} ;;
+ esac
+ ;;
+ esac
+
+ if [ "${subdir}/" != "./" ] ; then
+ Makefile=${subdir}/Makefile
+ fi
+ if [ ! -d ${subdir} ] ; then
+ mkdir ${subdir}
+ fi
+ case "${removing}" in
+ "")
+ case "${subdir}" in
+ .) ;;
+ *) eval echo Building in ${subdir} ${redirect} ;;
+ esac
+ # FIXME Should this be done recursively ??? (Useful for e.g. gdbtest)
# Set up the list of links to be made.
- # $links is the list of link names, and $files is the list of names to link to.
+ # ${links} is the list of link names, and ${files} is the list of names to link to.
# Make the links.
- while [ -n "$files" ]
- do
+ configlinks="${links}"
+ if [ -r ${subdir}/config.status ] ; then
+ mv -f ${subdir}/config.status ${subdir}/config.back
+ fi
+ while [ -n "${files}" ] ; do
# set file to car of files, files to cdr of files
- set $files; file=$1; shift; files=$*
- set $links; link=$1; shift; links=$*
+ set ${files}; file=$1; shift; files=$*
+ set ${links}; link=$1; shift; links=$*
- if [ ! -r ${srcdir}/config/$file ]
- then
- echo "$progname: cannot create a link \`$link'," 1>&2
- echo "since the file \`config/$file' does not exist." 1>&2
+ if [ ! -r ${srcdir}/${file} ] ; then
+ echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
+ echo '***' "since the file \"${file}\" does not exist." 1>&2
exit 1
fi
- $remove -f $link
- rm -f config.status
+ ${remove} -f ${link}
# Make a symlink if possible, otherwise try a hard link
- $symbolic_link ${srcdir}/config/$file $link 2>/dev/null || $hard_link ${srcdir}/config/$file $link
+ ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
- if [ ! -r $link ]
- then
- echo "$progname: unable to link \`$link' to \`${srcdir}/config/$file'." 1>&2
+ if [ ! -r ${link} ] ; then
+ echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
exit 1
fi
- echo "Linked \`$link' to \`${srcdir}/config/$file'."
+
+ echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
done
+ # Create a .gdbinit file which runs the one in srcdir
+ # and tells GDB to look there for source files.
+
+ if [ -r ${srcdir}/${subdir}/.gdbinit ] ; then
+ case ${srcdir} in
+ .) ;;
+ *) cat > ${subdir}/.gdbinit <<EOF
+# ${NO_EDIT}
+dir .
+dir ${makesrcdir}
+source ${makesrcdir}/.gdbinit
+EOF
+ ;;
+ esac
+ fi
+
# Install a makefile, and make it set VPATH
# if necessary so that the sources are found.
# Also change its value of srcdir.
- # Also create a .gdbinit file which runs the one in srcdir
- # and tells GDB to look there for source files.
- case $srcdir in
- .)
- ;;
+ # NOTE: Makefile generation constitutes the majority of the time in configure. Hence, this section has
+ # been somewhat optimized and is perhaps a bit twisty.
+
+ # code is order so as to try to sed the smallest input files we know.
+
+ # the three makefile fragments MUST end up in the resulting Makefile in this order: target, host, and site.
+ # so do these separately because I don't trust the order of sed -e expressions.
+
+ # Conditionalize for this site from "Makefile.in" (or whatever it's called) into Makefile.tem
+ rm -f ${subdir}/Makefile.tem
+ case "${site}" in
+ "") cp ${srcdir}/${subdir}/${Makefile_in} ${subdir}/Makefile.tem ;;
*)
- echo "VPATH = ${srcdir}" > x
- cat x ${srcdir}/Makefile.in | sed "s@^srcdir = \.@srcdir = ${srcdir}@" > Makefile.in
- rm x
- echo "dir ." > .gdbinit
- echo "dir ${srcdir}" >> .gdbinit
- echo "source ${srcdir}/.gdbinit" >> .gdbinit
+ site_makefile_frag=${srcdir}/config/ms-${site}
+
+ if [ -f ${site_makefile_frag} ] ; then
+ sed -e "/^####/ r ${site_makefile_frag}" ${srcdir}/${subdir}/${Makefile_in} \
+ > ${subdir}/Makefile.tem
+ else
+ cp ${srcdir}/${subdir}/${Makefile_in} ${subdir}/Makefile.tem
+ site_makefile_frag=
+ fi
;;
esac
+ # working copy now in ${subdir}/Makefile.tem
- host_var_file=hmake-${host}
- target_var_file=tmake-${target}
+ # Conditionalize the makefile for this host.
+ rm -f ${Makefile}
+ case "${host_makefile_frag}" in
+ "") mv ${subdir}/Makefile.tem ${Makefile} ;;
+ *)
+ if [ ! -f ${host_makefile_frag} ] ; then
+ host_makefile_frag=${srcdir}/${host_makefile_frag}
+ fi
+ if [ -f ${host_makefile_frag} ] ; then
+ sed -e "/^####/ r ${host_makefile_frag}" ${subdir}/Makefile.tem > ${Makefile}
+ else
+ echo '***' Expected host makefile fragment \"${host_makefile_frag}\" 1>&2
+ echo '***' is missing in ${PWD=`pwd`}. 1>&2
+ mv ${subdir}/Makefile.tem ${Makefile}
+ fi
+ esac
+ # working copy now in ${Makefile}
- # Conditionalize the makefile for this machine.
- if [ -f ${srcdir}/config/${host_var_file} ]
- then
- sed -e "/^####/ r ${srcdir}/config/${host_var_file}" Makefile.in > Makefile.tem
- else
- cp Makefile.in Makefile.tem
- fi
+ # Conditionalize the makefile for this target.
+ rm -f ${subdir}/Makefile.tem
+ case "${target_makefile_frag}" in
+ "") mv ${Makefile} ${subdir}/Makefile.tem ;;
+ *)
+ if [ ! -f ${target_makefile_frag} ] ; then
+ target_makefile_frag=${srcdir}/${target_makefile_frag}
+ fi
+ if [ -f ${target_makefile_frag} ] ; then
+ sed -e "/^####/ r ${target_makefile_frag}" ${Makefile} > ${subdir}/Makefile.tem
+ else
+ mv ${Makefile} ${subdir}/Makefile.tem
+ target_makefile_frag=
+ fi
+ ;;
+ esac
+ # real copy now in ${subdir}/Makefile.tem
+
+ # prepend warning about editting, and a bunch of variables.
+ rm -f ${Makefile}
+ cat > ${Makefile} <<EOF
+# ${NO_EDIT}
+VPATH = ${makesrcdir}
+links = ${configlinks}
+host_alias = ${host_alias}
+host_cpu = ${host_cpu}
+host_vendor = ${host_vendor}
+host_os = ${host_os}
+target_alias = ${target_alias}
+target_cpu = ${target_cpu}
+target_vendor = ${target_vendor}
+target_os = ${target_os}
+EOF
+ case "${target_makefile_frag}" in
+ "") ;;
+ /*)
+ echo target_makefile_frag = ${target_makefile_frag} >>${Makefile} ;;
+ *)
+ echo target_makefile_frag = ${invsubdir}${target_makefile_frag} >>${Makefile} ;;
+ esac
- if [ -f ${srcdir}/config/${target_var_file} ]
- then
- sed -e "/^####/ r ${srcdir}/config/${target_var_file}" Makefile.tem > Makefile.tem1
- mv Makefile.tem1 Makefile.tem
- fi
+ case "${host_makefile_frag}" in
+ "") ;;
+ /*)
+ echo host_makefile_frag = ${host_makefile_frag} >>${Makefile} ;;
+ *)
+ echo host_makefile_frag = ${invsubdir}${host_makefile_frag} >>${Makefile} ;;
+ esac
- # Remove all formfeeds, since some Makes get confused by them.
- sed "s/\f//" Makefile.tem >> Makefile.tem1
- mv Makefile.tem1 Makefile.tem
+ if [ "${site_makefile_frag}" != "" ] ; then
+ echo site_makefile_frag = ${invsubdir}${site_makefile_frag} >>${Makefile}
+ fi
- # reset SUBDIRS
- sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" Makefile.tem > Makefile.tem1
- mv Makefile.tem1 Makefile.tem
+ # fixme: this shouldn't be in configure.
+ # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
+ case "${host_alias}" in
+ "${target_alias}")
+ echo "ALL=all.internal" >> ${Makefile}
+ ;;
+ *)
+ echo "CROSS=-DCROSS_COMPILE" >> ${Makefile}
+ echo "ALL=all.cross" >> ${Makefile}
+ ;;
+ esac
- # reset NONSUBDIRS
- sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" Makefile.tem > Makefile.tem1
- mv Makefile.tem1 Makefile.tem
+ # reset prefix, exec_prefix, srcdir, SUBDIRS, NONSUBDIRS,
+ # remove any form feeds.
+ if [ -z "${subdirs}" ]; then
+ rm -f ${subdir}/Makefile.tem2
+ sed -e "s:^SUBDIRS[ ]*=.*$:SUBDIRS = ${configdirs}:" \
+ -e "s:^NONSUBDIRS[ ]*=.*$:NONSUBDIRS = ${noconfigdirs}:" \
+ ${subdir}/Makefile.tem > ${subdir}/Makefile.tem2
+ rm -f ${subdir}/Makefile.tem
+ mv ${subdir}/Makefile.tem2 ${subdir}/Makefile.tem
+ fi
+ sed -e "s:^prefix[ ]*=.*$:prefix = ${prefix}:" \
+ -e "s:^exec_prefix[ ]*=.*$:exec_prefix = ${exec_prefix}:" \
+ -e "s:^srcdir[ ]*=.*$:srcdir = ${makesrcdir}:" \
+ -e "s/\f//" \
+ -e "s:^program_prefix[ ]*=.*$:program_prefix = ${program_prefix}:" \
+ -e "s:^program_suffix[ ]*=.*$:program_suffix = ${program_suffix}:" \
+ -e "s:^program_transform_name[ ]*=.*$:program_transform_name = ${program_transform_name}:" \
+ -e "s:^tooldir[ ]*=.*$:tooldir = ${tooldir}:" \
+ ${subdir}/Makefile.tem >> ${Makefile}
+ # final copy now in ${Makefile}
+
+ rm -f ${subdir}/Makefile.tem
+
+ case "${host_makefile_frag}" in
+ "") using= ;;
+ *) using="and \"${host_makefile_frag}\"" ;;
+ esac
- # Delete the intermediate files
- if [ x$srcdir != x. ] ; then rm Makefile.in ; fi
+ case "${target_makefile_frag}" in
+ "") ;;
+ *) using="${using} and \"${target_makefile_frag}\"" ;;
+ esac
- rm -f Makefile
+ case "${site_makefile_frag}" in
+ "") ;;
+ *) using="${using} and \"${site_makefile_frag}\"" ;;
+ esac
- # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
- if [ x$host != x$target ]
- then
- echo "CROSS=-DCROSS_COMPILE" > Makefile
- echo "ALL=start.encap" >> Makefile
- else
- echo "ALL=all.internal" > Makefile
- fi
+ newusing=`echo "${using}" | sed 's/and/using/'`
+ using=${newusing}
+ echo "Created \"${Makefile}\" in" ${PWD=`pwd`} ${using}
- # set target and host
- echo "host = $host" >> Makefile
- echo "target = $target" >> Makefile
+ . ${tmpfile}.pos
- cat Makefile.tem >> Makefile
- rm Makefile.tem
+ # describe the chosen configuration in config.status.
+ # Make that file a shellscript which will reestablish
+ # the same configuration. Used in Makefiles to rebuild
+ # Makefiles.
- using=
- if [ -f ${srcdir}/config/${host_var_file} ]
- then
- using=" using \"${host_var_file}\""
- fi
+ case "${norecursion}" in
+ "") arguments="${arguments} -norecursion" ;;
+ *) ;;
+ esac
- if [ -f ${srcdir}/config/${target_var_file} ]
- then
- if [ -z "${using}" ]
- then
- andusing=" using \"${target_var_file}\""
- else
- andusing="${using} and \"${target_var_file}\""
- fi
+ if [ ${subdir} = . ] ; then
+ echo "#!/bin/sh
+# ${NO_EDIT}
+# This directory was configured as follows:
+${progname}" ${arguments} "
+# ${using}" > ${subdir}/config.new
else
- andusing=${using}
+ echo "#!/bin/sh
+# ${NO_EDIT}
+# This directory was configured as follows:
+cd ${invsubdir}
+${progname}" ${arguments} "
+# ${using}" > ${subdir}/config.new
+ fi
+ chmod a+x ${subdir}/config.new
+ if [ -r ${subdir}/config.back ] ; then
+ mv -f ${subdir}/config.back ${subdir}/config.status
fi
+ ${moveifchange} ${subdir}/config.new ${subdir}/config.status
+ ;;
- echo "Created \"Makefile\""${andusing}.
+ *) rm -f ${Makefile} ${subdir}/config.status ${links} ;;
+ esac
+done
- if [ x$host = x$target ]
- then
- echo "Links are now set up for use with a $target." \
- | tee ${srcdir}/config.status
- else
- echo "Links are now set up for host $host and target $target." \
- | tee ${srcdir}/config.status
- fi
+# If there are subdirectories, then recur.
+if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
+ for configdir in ${configdirs} ; do
+ eval echo Configuring ${configdir}... ${redirect}
+
+ if [ -d ${srcdir}/${configdir} ] ; then
+ case "${srcdir}" in
+ ".") ;;
+ *)
+ if [ ! -d ./${configdir} ] ; then
+ mkdir ./${configdir}
+ fi
+ ;;
+ esac
- cd ${srcdir}
-fi
+ POPDIR=${PWD=`pwd`}
+ cd ${configdir}
-# If there are subdirectories, then recurse.
+### figure out what to do with srcdir
+ case "${srcdir}" in
+ ".") newsrcdir=${srcdir} ;; # no -srcdir option. We're building in place.
+ /*) # absolute path
+ newsrcdir=${srcdir}/${configdir}
+ srcdiroption="-srcdir=${newsrcdir}"
+ ;;
+ *) # otherwise relative
+ newsrcdir=../${srcdir}/${configdir}
+ srcdiroption="-srcdir=${newsrcdir}"
+ ;;
+ esac
-if [ x$norecurse != x ] ; then exit 0 ; fi
+### check for guested configure, otherwise fix possibly relative progname
+ if [ -f ${newsrcdir}/configure ] ; then
+ recprog=${newsrcdir}/configure
+ else
+ case "${progname}" in
+ /*) recprog=${progname} ;;
+ *) recprog=../${progname} ;;
+ esac
+ fi
-while [ -n "$configdirs" ]
-do
- # set configdir to car of configdirs, configdirs to cdr of configdirs
- set $configdirs; configdir=$1; shift; configdirs=$*
-
- # check for target override
- targetspecificdir=${configdir}.${target}
- if [ -d ${targetspecificdir} ]
- then
- configdir=${targetspecificdir}
- fi
+### The recursion line is here.
+ if eval ${recprog} ${verbose} ${host_alias} -target=${target_alias} \
+ ${prefixoption} ${tmpdiroption} ${exec_prefixoption} \
+ ${srcdiroption} ${program_prefixoption} ${program_suffixoption} ${program_transform_nameoption} ${site_option} ${removing} ${redirect} ; then
+ true
+ else
+ exit 1
+ fi
- echo Configuring ${configdir}...
- (cd ${configdir} ;
- configure +host=${host} ${target} ${removing}) \
- | sed 's/^/ /'
-done
+ cd ${POPDIR}
+ else
+ eval echo Warning: source directory \"${srcdir}/${configdir}\" is missing. ${redirect}
+ fi
+ done
+fi
exit 0
+
+#
+# Local Variables:
+# fill-column: 131
+# End:
+#
+
+# end of configure